Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.join
Class InitiateJoin

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.join.InitiateJoin

All Implemented Interfaces:
  java.io.Serializable, Message

    public class InitiateJoin

extends Message
implements java.io.Serializable

Request for the join protocols on the local node to join the overlay.

Version:
  $Id: InitiateJoin.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Andrew Ladd
See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`InitiateJoin(java.util.Date stamp, NodeHandle[] nh)` Constructor.
`InitiateJoin(NodeHandle[] nh)` Constructor.

Method Summary
`NodeHandle` | `getHandle()` Gets the handle for the join.
`java.lang.String` | `toString()`

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InitiateJoin

    public InitiateJoin(NodeHandle[] nh)

  Constructor.

  Parameters:
    `nh` - the node handle that the join will begin from.

### InitiateJoin

    public InitiateJoin(java.util.Date stamp,
                        NodeHandle[] nh)

  Constructor.

  Parameters:
    `jh` - a handle of the node trying to join the network.
    `stamp` - the timestamp
    `nh` - the node handle that the join will begin from.

Method Detail

### getHandle

    public NodeHandle getHandle()

  Gets the handle for the join. Gets the first non-dead handle for the join.

  Returns:
    the handle.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.